from openpyxl import load_workbook
from os.path import join, dirname, abspath

# получаем все ссылки из records_folder/cats/categories.xlsx
def get_categories():
    # вычисляем абсолютный путь к текущему файлу
    base_dir = dirname(abspath(__file__))
    # формируем путь к файлу с категориями
    cat_path = join(base_dir, "records_folder", "cats", "categories.xlsx")

    # открываем файл
    workbook = load_workbook(cat_path)
    worksheet = workbook.active

    categories = []

    for i in worksheet["A"]:
        value = i.value
        if value != None:
            categories.append(value)

    return categories